// VerticalLayoutManager.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//

#ifndef _VERTICAL_LAYOUT_MANAGER_H_
#define _VERTICAL_LAYOUT_MANAGER_H_

#include <Rect.h>

#include "LayoutManager.h"
#include "BaseView.h"

class VerticalLayoutManager : public LayoutManager {
  public:
	VerticalLayoutManager(BaseView *view)
	 : LayoutManager(LT_VERTICAL, view) {};
	virtual ~VerticalLayoutManager() {};
	
  protected:
	virtual void doSetLimits(const BRect &min, const BRect &max);
	virtual void doLayout();
};

#endif /* _VERTICAL_LAYOUT_MANAGER_H_ */
